% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Comparison.R
\name{PermP}
\alias{PermP}
\title{Permutation P Value}
\usage{
PermP(df1, df0, fit0, fit1, eps, init1, init0, maxit, reps, tau)
}
\arguments{
\item{df1}{Target data.frame containing time and status.}

\item{df0}{Reference data.frame containing time and status.}

\item{fit0}{Fitted parametric survival distribution for arm 0.}

\item{fit1}{Fitted parametric survival distribution for arm 1.}

\item{eps}{Tolerance for Newton-Raphson iterations.}

\item{init1}{Initial parameter values for the target group.}

\item{init0}{Initial parameter values for the reference group.}

\item{maxit}{Maximum number of Newton-Raphson iterations.}

\item{reps}{Number of permutation replicates.}

\item{tau}{Optional truncation times for calculating RMST.}
}
\value{
Numeric vector of permutation p-values.
}
\description{
Calculates permutation p-values for location and RMST estimates.
}
